## org.biojava.bio.dp
Class XmlMarkovModel

    java.lang.Object
      |
      +--org.biojava.bio.dp.XmlMarkovModel

public class XmlMarkovModel
extends java.lang.Object

Constructor Summary
`XmlMarkovModel()`

Method Summary
`static WeightMatrix` `readMatrix(org.w3c.dom.Element root)`
`static MarkovModel` `readModel(org.w3c.dom.Element root)`
`static void` `writeMatrix(WeightMatrix matrix, java.io.PrintStream out)`
`static void` `writeModel(MarkovModel model, java.io.PrintStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlMarkovModel

    public XmlMarkovModel()

Method Detail

### readMatrix

    public static WeightMatrix readMatrix(org.w3c.dom.Element root)
                                   throws IllegalSymbolException,
                                          IllegalAlphabetException,
                                          BioException

### readModel

    public static MarkovModel readModel(org.w3c.dom.Element root)
                                 throws BioException,
                                        IllegalSymbolException,
                                        IllegalAlphabetException

### writeMatrix

    public static void writeMatrix(WeightMatrix matrix,
                                   java.io.PrintStream out)
                            throws java.lang.Exception

### writeModel

    public static void writeModel(MarkovModel model,
                                  java.io.PrintStream out)
                           throws java.lang.Exception